Subject: Re: is UDP_CORK "real"

From: Andi Kleen <[email-masked]>
Date: Tue, 26 Apr 2005 15:40:22 +0200

Rick Jones <[email-masked]> writes:
> today? While man tcp described TCP_CORK, on the two places I've
> checked thusfar, man udp does not describe UDP_CORK.  I'm not sure if
> that means UDP_CORK is "unreal" or just that the udp manpage needs
> repair (or was out of date on my systems).

AFAIK nobody has been updating the protocol manpages since I stopped
doing so several years ago when they were included into the
standard manpages.  There are lots of missing features
etc. that could be documented, the BUGS sections are usually 
out of date etc. It is roughly at the state of early 2.3.

There is also unfortunately no policy to require a manpage
update when a new feature is added to the kernel.

Some manpages have been even never fully written like the ipv6 manpage.
Perhaps someone is interested in updating all these? It unfortunately
needs quite a lot of RTFS to figure out what the code actually does.

-Andi